OpenTTD Source: LoggedChangeSettingChanged Struct Reference

OpenTTD Source 15.3

Public Member Functions | Data Fields
LoggedChangeSettingChanged Struct Reference
Inheritance diagram for LoggedChangeSettingChanged:

## Public Member Functions
| LoggedChangeSettingChanged (const std::string &name, int32_t oldval, int32_t newval)
void | FormatTo (std::back_insert_iterator< std::string > &output_iterator, GrfIDMapping &grf_names, GamelogActionType action_type) override
Public Member Functions inherited from LoggedChange
| LoggedChange (GamelogChangeType type=GLCT_NONE)

## Data Fields
std::string | name {}
| name of the setting
int32_t | oldval = 0
| old value
int32_t | newval = 0
| new value
Data Fields inherited from LoggedChange
GamelogChangeType | ct {}

## Detailed Description

Definition at line 114 of file gamelog_internal.h.

## Constructor & Destructor Documentation

## ◆ LoggedChangeSettingChanged() [1/2]

LoggedChangeSettingChanged::LoggedChangeSettingChanged | ( |  | ) |
| inline

Definition at line 115 of file gamelog_internal.h.

## ◆ LoggedChangeSettingChanged() [2/2]

LoggedChangeSettingChanged::LoggedChangeSettingChanged | ( | const std::string & | name,
|  | int32_t | oldval,
|  | int32_t | newval
| ) |  |
| inline

Definition at line 116 of file gamelog_internal.h.

## Member Function Documentation

## ◆ FormatTo()

void LoggedChangeSettingChanged::FormatTo | ( | std::back_insert_iterator< std::string > & | output_iterator,
|  | GrfIDMapping & | grf_names,
|  | GamelogActionType | action_type
| ) |  |
| overridevirtual

Implements LoggedChange.

Definition at line 224 of file gamelog.cpp.

## Field Documentation

## ◆ name

std::string LoggedChangeSettingChanged::name {}

name of the setting

Definition at line 120 of file gamelog_internal.h.

## ◆ newval

int32_t LoggedChangeSettingChanged::newval = 0

new value

Definition at line 122 of file gamelog_internal.h.

## ◆ oldval

int32_t LoggedChangeSettingChanged::oldval = 0

old value

Definition at line 121 of file gamelog_internal.h.

The documentation for this struct was generated from the following files:

- src/gamelog_internal.h
- src/gamelog.cpp